- name: apt install python3-pip
  apt:
    name: python3-pip
    update_cache: yes
  become: yes

- name: pip install docker
  pip:
    name: docker
  become: yes

- name: docker_container gitlab
  docker_container:
    name: gitlab
    hostname: "{{ hostname }}"
    image: gitlab/gitlab-ce:latest
    restart_policy: unless-stopped
    env:
      GITLAB_OMNIBUS_CONFIG: "{{ external_url }}"
    published_ports:
    - "0.0.0.0:80:80"
    - "0.0.0.0:443:443"
    volumes:
    - '/srv/gitlab/config:/etc/gitlab'
    - '/srv/gitlab/logs:/var/log/gitlab'
    - '/srv/gitlab/data:/var/opt/gitlab'
  become: yes
